Subject: IPM Publication

From: [email-masked] (Mike Fitzner)
Date: 21 Dec 1994 17:04:06 -0000

A couple of weeks ago, I forwarded to you an EPA announcement about the 
publication of an IPM handbook edited by an EPA staff member (Anne 
Leslie).  The announcement did not include ordering information, and 
several of you have requested that information.  Here it is:

    "Handbook of Integrated Pest Management for Turf and Ornamentals"
    Anne R. Leslie (Ed.)
    1994, 672 pages
    Lewis Publishers
    (800) 272-7737
    Catalog No. L350WA
    $75

***************************************************************************

Michael S. Fitzner
Integrated Pest Management Program
Cooperative State Research, Education, and Extension Service
U.S. Department of Agriculture

Phone: 202/720-2471
  Fax:     720-4395
Internet: [email-masked]

Mailing Address:                      Office Location:

Ag Box 0909                           South Building, Room 3347
Washington, DC  20250-0909            1400 Independence Ave., SW

***************************************************************************